Subject: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Philip Kaludercic <[email-masked]>
Date: Tue, 11 Oct 2022 09:06:54 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> I am not sure how that is done exactly, but if we take the
>> ";;;###theme-autoload" approach it should be able to have a handler to
>> convert autoloaded (defcustom ...) forms in to (put ...) ones:
>
> Yes.  But as noted before, since many themes are distributed via ELPA
> (too), we can't really change the definition of deftheme.

The change to `deftheme' is only a feature of convenience, the
backwards-compatibile way to set the attributes remains using `put'.  In
fact, that `put'-expression is exactly what `deftheme' expands to.